Tuesday, 29 July 2014

LearnUCS Supported Browsers

Following the recent upgrade to LearnUCS we are publishing Blackboard's minimum browser requirements.

As you will read below Microsoft's Internet Explorer 8 is no longer supported, as well as the latest releases of Internet Explorer making some LearnUCS features difficult to use.  The Elevate team recommend using one of the 3 other browsers when accessing LearnUCS.


Supported Browsers

Four primary browsers for LearnUCS current release.

Automatically Updated Channel-based Browsers

The dates listed are the latest numbered patch release dates.

  • Firefox® 28 (stable channel) from Mozilla (18 March 2014)
  • Firefox 24 (ESR channel) from Mozilla (17 September 2013)
  • Chrome™ 34 (stable channel) from Google (8 April 2014)

Traditionally Released Browsers

The dates listed are the original release dates for general availability.
  • Safari® 7 from Apple (22 October 2013)
  • Safari® 6 from Apple (25 July 2012)
Safari for Windows is unsupported. Apple's continued support for this browser is unclear, and Blackboard does not test it.
  • Internet Explorer® 11 from Microsoft (17 October 2013 for Windows 8.1, 7 November 2013 for Windows 7)
  • Internet Explorer 10 from Microsoft (26 October 2012 for Windows 8, 26 February 2013 for Windows 7)
  • Internet Explorer 9 from Microsoft (14 March 2011)
Some configuration options for Internet Explorer might make some features of Blackboard Learn difficult to use. To learn more, see Internet Explorer Security Zones and Compatibility View topic in this section.


No comments:

Post a Comment